#
# spec file for package openstack-horizon-plugin-manila-ui
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define version_unconverted 2.12.1.dev7

Name:           openstack-horizon-plugin-manila-ui
Version:        2.12.1~dev7
Release:        1.1
Summary:        Manila management plugin for Horizon
License:        Apache-2.0
Group:          System/Management
Url:            https://launchpad.net/manila-ui
Source:         http://tarballs.openstack.org/manila-ui/manila-ui-master.tar.gz
BuildRequires:  fdupes
BuildRequires:  openstack-dashboard
BuildRequires:  openstack-suse-macros
BuildRequires:  openstack-suse-sudo
BuildRequires:  python-base
BuildRequires:  python-manilaclient
Requires:       openstack-dashboard
Requires:       openstack-suse-sudo
Requires:       python >= 2.7
Requires:       python-Babel >= 2.3.4
Requires:       python-Django >= 1.8
Requires:       python-django_compressor >= 1.4
Requires:       python-django_openstack_auth >= 1.4.0
Requires:       python-horizon-plugin-manila-ui = %{version}
Requires(post): python-horizon-plugin-manila-ui = %{version}
Requires:       python-iso8601 >= 0.1.11
Requires:       python-keystoneclient >= 3.8.0
Requires:       python-manilaclient >= 1.16.0
Requires:       python-pbr >= 2.0.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
OpenStack shared file system server (manila) management plugin for Horizon.

%package -n python-horizon-plugin-manila-ui
Summary:        Manila Management Plugin for Horizon - Python module
Group:          Development/Languages/Python
Requires:       python >= 2.7
Requires:       python-manilaclient >= 1.16.0
Requires:       python-oslo.utils >= 3.33.0
Requires:       python-six >= 1.10.0

%description -n python-horizon-plugin-manila-ui
OpenStack shared file system server (manila) management plugin for Horizon.

This package contains the core Python module of the manila-ui.

%package test
Summary:        Manila Management Plugin for Horizon - Testsuite
Group:          Development/Languages/Python
Requires:       %{name} = %{version}
Requires:       python-django-nose >= 1.4.4
Requires:       python-horizon
Requires:       python-mock >= 2.0.0
Requires:       python-mox >= 0.5.3
Requires:       python-python-subunit >= 1.0.0
Requires:       python-testrepository >= 0.0.18
Requires:       python-testscenarios >= 0.4
Requires:       python-testtools >= 2.2.0

%description test
OpenStack Manila UI Plugin for Horizon testsuite. It is used to verify the
functionality of the Manila UI Plugin.

%prep
%setup -q -n manila-ui-%{version_unconverted}
%openstack_cleanup_prep

%build
python setup.py build

%install
python setup.py install --skip-build --prefix=%{_prefix} --root=%{buildroot}

mkdir -p %{buildroot}/srv/www/openstack-dashboard/openstack_dashboard/enabled/
install -m 0755 -d %{buildroot}/srv/www/openstack-dashboard/openstack_dashboard/dashboards/
install -m 0755 -d %{buildroot}/srv/www/openstack-dashboard/openstack_dashboard/dashboards/enabled
cp -a manila_ui/local/enabled/_*.py %{buildroot}/srv/www/openstack-dashboard/openstack_dashboard/enabled/

### misc
%fdupes %{buildroot}%{python_sitelib}/manila_ui

%post
su wwwrun -s /bin/sh -c "python /srv/www/openstack-dashboard/manage.py collectstatic --noinput --clear > /dev/null"

%postun
su wwwrun -s /bin/sh -c "python /srv/www/openstack-dashboard/manage.py collectstatic --noinput --clear > /dev/null"

%files
%defattr(-,root,root)
/srv/www/openstack-dashboard/openstack_dashboard/enabled
%doc ChangeLog README.rst LICENSE

%files -n python-horizon-plugin-manila-ui
%defattr(-,root,root,-)
%doc LICENSE
%{python_sitelib}/manila_ui/
%{python_sitelib}/manila_ui-*.egg-info
%exclude %{python_sitelib}/manila_ui/test*

%files test
%defattr(-,root,root)
%{python_sitelib}/manila_ui/test*

%changelog
* Fri Jan 26 2018 cloud-devel@suse.de
- Update to version manila-ui-2.12.1.dev7:
  * Imported Translations from Zanata
  * Updated from global requirements
  * Import user and admin guide from horizon
* Fri Jan 19 2018 cloud-devel@suse.de
- Update to version manila-ui-2.12.1.dev3:
  * Reorganize manila-ui documentation
* Thu Jan  4 2018 cloud-devel@suse.de
- Update to version manila-ui-2.12.1.dev2:
  * Remove empty files
* Tue Jan  2 2018 cloud-devel@suse.de
- Update to version manila-ui-2.12.1.dev1:
  * Updated from global requirements
  2.12.0
  * Remove setting of version/release from releasenotes
  * Updated from global requirements
  * Drop django\_openstack\_auth from requirements.txt
  * Updated from global requirements
  2.11.0
* Wed Oct 25 2017 cloud-devel@suse.de
- Update to version manila-ui-2.10.2.dev26:
  * Imported Translations from Zanata
* Mon Oct 16 2017 cloud-devel@suse.de
- Update to version manila-ui-2.10.2.dev25:
  * Imported Translations from Zanata
* Mon Oct  9 2017 cloud-devel@suse.de
- Update to version manila-ui-2.10.2.dev24:
  * Imported Translations from Zanata
* Fri Oct  6 2017 cloud-devel@suse.de
- Update to version manila-ui-2.10.2.dev23:
  * Imported Translations from Zanata
* Tue Sep 26 2017 cloud-devel@suse.de
- Update to version manila-ui-2.10.2.dev22:
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Fix quota bars in Create Share panel
  * Add quota.type field when reporting share usage
* Tue Sep 19 2017 cloud-devel@suse.de
- Update to version manila-ui-2.10.2.dev16:
  * Updated from global requirements
* Mon Sep 18 2017 cloud-devel@suse.de
- Update to version manila-ui-2.10.2.dev15:
  * Imported Translations from Zanata
* Thu Sep 14 2017 cloud-devel@suse.de
- Update to version manila-ui-2.10.2.dev14:
  * Manila-UI breaks Horizon's "Network" panel group
* Mon Aug 28 2017 cloud-devel@suse.de
- Update to version manila-ui-2.10.2.dev13:
  * Imported Translations from Zanata
* Sun Aug 27 2017 cloud-devel@suse.de
- Update to version manila-ui-2.10.2.dev12:
  * doc migration: warning-is-error
  * Update reno for stable/pike
* Sat Aug 26 2017 cloud-devel@suse.de
- Update to version manila-ui-2.10.2.dev8:
  * doc migration: new directory layout
  * doc migration: openstackdocstheme
  * Imported Translations from Zanata
* Wed Aug 23 2017 cloud-devel@suse.de
- Update to version manila-ui-2.10.2.dev3:
  * Imported Translations from Zanata
* Tue Aug 22 2017 cloud-devel@suse.de
- Update to version manila-ui-2.10.2.dev2:
  * Imported Translations from Zanata
  2.10.1
* Sat Aug 19 2017 cloud-devel@suse.de
- Update to version manila-ui-2.10.1.dev16:
  * Updated from global requirements
  * Imported Translations from Zanata
* Fri Aug 18 2017 cloud-devel@suse.de
- Update to version manila-ui-2.10.1.dev14:
  * Imported Translations from Zanata
* Thu Aug 17 2017 cloud-devel@suse.de
- Update to version manila-ui-2.10.1.dev13:
  * Imported Translations from Zanata
* Wed Aug 16 2017 cloud-devel@suse.de
- Update to version manila-ui-2.10.1.dev12:
  * Imported Translations from Zanata
* Tue Aug 15 2017 cloud-devel@suse.de
- Update to version manila-ui-2.10.1.dev11:
  * Imported Translations from Zanata
* Sat Aug 12 2017 cloud-devel@suse.de
- Update to version manila-ui-2.10.1.dev10:
  * Imported Translations from Zanata
* Fri Aug 11 2017 cloud-devel@suse.de
- Update to version manila-ui-2.10.1.dev9:
  * Imported Translations from Zanata
* Wed Aug  2 2017 cloud-devel@suse.de
- Update to version manila-ui-2.10.1.dev8:
  * Imported Translations from Zanata
  * Optimize the link address
  * Imported Translations from Zanata
  * Updated from global requirements
  * Imported Translations from Zanata
  2.10.0
* Fri Jul 28 2017 cloud-devel@suse.de
- Update to version manila-ui-2.9.1.dev15:
  * Add support of share groups
* Mon Jul 24 2017 cloud-devel@suse.de
- Update to version manila-ui-2.9.1.dev14:
  * Imported Translations from Zanata
* Fri Jul 21 2017 cloud-devel@suse.de
- Update to version manila-ui-2.9.1.dev13:
  * Update URLs in documentation
  * Updated from global requirements
* Fri Jul  7 2017 cloud-devel@suse.de
- Update to version manila-ui-2.9.1.dev11:
  * Updated from global requirements
* Thu Jul  6 2017 cloud-devel@suse.de
- Update to version manila-ui-2.9.1.dev10:
  * Imported Translations from Zanata
* Mon Jul  3 2017 tbechtold@suse.com
- Update to version manila-ui-2.9.1.dev9:
  * Update .gitignore to ignore .eggs
  * Imported Translations from Zanata
  * Enable some off-by-default checks
  * Imported Translations from Zanata
  * Some tweaks for modal forms
  2.9.0
  * Imported Translations from Zanata
  * Refactor project dashboard
  * Refactor admin dashboard
  * Fix compatibility with latest horizon
  * Use parse\_isotime filters for Share Replicas table columns
  * Updated from global requirements
  * Imported Translations from Zanata
* Sat Jun  3 2017 cloud-devel@suse.de
- Update to version manila-ui-2.8.1.dev20:
  * Updated from global requirements
  * Imported Translations from Zanata
* Wed May 24 2017 cloud-devel@suse.de
- Update to version manila-ui-2.8.1.dev18:
  * Imported Translations from Zanata
* Fri May 19 2017 cloud-devel@suse.de
- Update to version manila-ui-2.8.1.dev17:
  * Updated from global requirements
* Thu May 18 2017 cloud-devel@suse.de
- Update to version manila-ui-2.8.1.dev16:
  * Fix compatibility with Horizon
* Tue May 16 2017 cloud-devel@suse.de
- Update to version manila-ui-2.8.1.dev15:
  * Updated from global requirements
* Mon May 15 2017 cloud-devel@suse.de
- Update to version manila-ui-2.8.1.dev14:
  * Imported Translations from Zanata
  * Fix NotImplementedError and use new way to define action\_present/past
* Sun Apr 30 2017 cloud-devel@suse.de
- Update to version manila-ui-2.8.1.dev12:
  * Fix 'cover' tox job
  * Fix manila quota operations
  * Fix share creation from snapshot
  * Add possibility to revert a share to a snapshot
  * Correct the actual path for setting DJANGO\_SETTINGS\_MODULE
  * Moves OPENSTACK\_MANILA\_SETTINGS TO local\_settings.d/
  * Fix metadata\_to\_str function code injection vulnerability
  * Fix get\_disabled\_quotas
  * Remove "builtins = \_" from tox.ini
  * Fix call to Client() with 2 api\_version args
  * Change ignore-errors to ignore\_errors
  * Remove usage of openstack.common.\_i18n module
  * Use UPDATE\_HORIZON\_CONFIG for manila\_ui.overrides
  * Fix pep8 violations via run\_tests.sh -p
  * Add attr 'has\_snapshot' for each share in share table
  * Add support of 'is\_public' attr for shares
  * Fix share creation form when share\_type is not provided
  * Incoporate get\_item filter
  * Import code from manila\_kilo branch of manila UI
* Thu Apr 20 2017 cloud-devel@suse.de
- Update to version manila-ui-2.8.1.dev6:
  * Update tox envlist
* Thu Apr 20 2017 cloud-devel@suse.de
- Update to version manila-ui-2.8.1.dev5:
  * Updated from global requirements
  * Imported Translations from Zanata
* Sat Apr 15 2017 cloud-devel@suse.de
- Update to version manila-ui-2.8.1.dev3:
  * Imported Translations from Zanata
  2.8.0
  * Updated from global requirements
* Sat Apr  8 2017 cloud-devel@suse.de
- Update to version manila-ui-2.7.1.dev25:
  * Updated from global requirements
* Fri Mar 31 2017 cloud-devel@suse.de
- Update to version manila-ui-2.7.1.dev24:
  * Updated from global requirements
* Thu Mar 30 2017 cloud-devel@suse.de
- Update to version manila-ui-2.7.1.dev23:
  * Imported Translations from Zanata
* Sat Mar 25 2017 cloud-devel@suse.de
- Update to version manila-ui-2.7.1.dev22:
  * Imported Translations from Zanata
* Thu Mar 23 2017 cloud-devel@suse.de
- Update to version manila-ui-2.7.1.dev21:
  * Ignore current share's size in extend quota bar
* Fri Mar 10 2017 cloud-devel@suse.de
- Update to version manila-ui-2.7.1.dev20:
  * Clean docs/build before building docs
  * Fix 2 CI breakages
  * Updated from global requirements
  * Update test requirement
  * Correct the actual path for setting DJANGO_SETTINGS_MODULE
* Tue Feb 28 2017 cloud-devel@suse.de
- Update to version manila-ui-2.7.1.dev11:
  * Imported Translations from Zanata
* Thu Feb 16 2017 cloud-devel@suse.de
- Update to version manila-ui-2.7.1.dev10:
  * Update reno for stable/ocata
* Sat Feb 11 2017 cloud-devel@suse.de
- Update to version manila-ui-2.7.1.dev8:
  * Updated from global requirements
* Tue Feb  7 2017 cloud-devel@suse.de
- Update to version manila-ui-2.7.1.dev7:
  * Imported Translations from Zanata
* Sat Feb  4 2017 cloud-devel@suse.de
- Update to version manila-ui-2.7.1.dev6:
  * Imported Translations from Zanata
* Fri Feb  3 2017 cloud-devel@suse.de
- Update to version manila-ui-2.7.1.dev5:
  * Fix Manage Replicas button availability
* Thu Feb  2 2017 cloud-devel@suse.de
- Update to version manila-ui-2.7.1.dev4:
  * Imported Translations from Zanata
* Wed Feb  1 2017 cloud-devel@suse.de
- Update to version manila-ui-2.7.1.dev3:
  * Imported Translations from Zanata
* Mon Jan 30 2017 cloud-devel@suse.de
- Update to version manila-ui-2.7.1.dev2:
  * Imported Translations from Zanata
* Sun Jan 29 2017 cloud-devel@suse.de
- Update to version manila-ui-2.7.1.dev1:
  * Remove link to modindex
  2.7.0
* Fri Jan 27 2017 cloud-devel@suse.de
- Update to version manila-ui-2.6.1.dev11:
  * Add mountable snapshots support to manila-ui
  * Imported Translations from Zanata
* Thu Jan 26 2017 cloud-devel@suse.de
- Update to version manila-ui-2.6.1.dev8:
  * Updated from global requirements
* Wed Jan 25 2017 cloud-devel@suse.de
- Update to version manila-ui-2.6.1.dev7:
  * Updated from global requirements
  * Implement Share Migration Ocata improvements
  * Bump microversion to 2.26
  * Add MapRFS protocol
  2.6.0
  * Updated from global requirements
* Wed Jan 18 2017 cloud-devel@suse.de
- Update to version manila-ui-2.5.1.dev49:
  * Changed the home-page of manila-ui
* Thu Jan 12 2017 cloud-devel@suse.de
- Update to version manila-ui-2.5.1.dev47:
  * Imported Translations from Zanata
  * Update settings file with all available config options
* Tue Jan 10 2017 cloud-devel@suse.de
- Update to version manila-ui-2.5.1.dev45:
  * Only show available share protocols on share creation modal
* Fri Jan  6 2017 cloud-devel@suse.de
- Update to version manila-ui-2.5.1.dev44:
  * Disable creation of public shares per configuration
* Sat Dec 17 2016 cloud-devel@suse.de
- Update to version manila-ui-2.5.1.dev42:
  * Fix some typos in cover.sh
* Fri Dec 16 2016 tbechtold@suse.com
- Update to version manila-ui-2.5.1.dev41:
  * Moves OPENSTACK_MANILA_SETTINGS TO local_settings.d/
* Wed Dec  7 2016 cloud-devel@suse.de
- Update to version manila-ui-2.5.1.dev40:
  * Imported Translations from Zanata
* Sun Dec  4 2016 cloud-devel@suse.de
- Update to version manila-ui-2.5.1.dev39:
  * Updated from global requirements
  * Add access key column to rules table
* Wed Nov 30 2016 cloud-devel@suse.de
- Update to version manila-ui-2.5.1.dev36:
  * Adds Manila-UI Devstack plugin
* Sat Nov 26 2016 cloud-devel@suse.de
- Update to version manila-ui-2.5.1.dev34:
  * Show team and repo badges on README
  * Imported Translations from Zanata
* Wed Nov 23 2016 dmueller@suse.com
- fix installation order
* Tue Nov 15 2016 cloud-devel@suse.de
- Update to version manila-ui-2.5.1.dev31:
  * Update README.rst file with more info
* Mon Nov 14 2016 cloud-devel@suse.de
- Update to version manila-ui-2.5.1.dev30:
  * Imported Translations from Zanata
  * Updated from global requirements
* Wed Nov  9 2016 cloud-devel@suse.de
- Update to version manila-ui-2.5.1.dev27:
  * Updated from global requirements
* Fri Nov  4 2016 cloud-devel@suse.de
- Update to version manila-ui-2.5.1.dev26:
  * Updated from global requirements
* Thu Nov  3 2016 cloud-devel@suse.de
- Update to version manila-ui-2.5.1.dev25:
  * Imported Translations from Zanata
* Sat Oct 22 2016 cloud-devel@suse.de
- Update to version manila-ui-2.5.1.dev24:
  * Imported Translations from Zanata
  * Updated from global requirements
* Fri Oct 21 2016 cloud-devel@suse.de
- Update to version manila-ui-2.5.1.dev21:
  * Imported Translations from Zanata
* Thu Oct 20 2016 cloud-devel@suse.de
- Update to version manila-ui-2.5.1.dev19:
  * Updated from global requirements
* Thu Oct 13 2016 cloud-devel@suse.de
- Update to version manila-ui-2.5.1.dev18:
  * Fix migration-start id-dependent form
* Mon Oct 10 2016 cloud-devel@suse.de
- Update to version manila-ui-2.5.1.dev16:
  * Update reno for stable/newton
* Sat Oct  8 2016 cloud-devel@suse.de
- Update to version manila-ui-2.5.1.dev14:
  * Enable release notes translation
* Mon Oct  3 2016 cloud-devel@suse.de
- Update to version manila-ui-2.5.1.dev13:
  * Updated from global requirements
  * Fix broken unit tests
  * Fix metadata_to_str function code injection vulnerability
  * Fix display of Delete share replica button
* Sat Sep 17 2016 cloud-devel@suse.de
- Update to version manila-ui-2.5.1.dev7:
  * Clean imports in code
* Fri Sep 16 2016 cloud-devel@suse.de
- Update to version manila-ui-2.5.1.dev5:
  * Imported Translations from Zanata
* Tue Sep 13 2016 cloud-devel@suse.de
- Update to version manila-ui-2.5.1.dev4:
  * Read list of AZs using manila's API instead of nova's
* Fri Sep  9 2016 cloud-devel@suse.de
- Update to version manila-ui-2.5.1.dev3:
  * Imported Translations from Zanata
  * Change Create Replica button availability
  2.5.0
  * Add share type change to Share Migration UI
* Fri Sep  2 2016 cloud-devel@suse.de
- Update to version manila-ui-2.4.1.dev6:
  * Add Share Migration support
  * Add share replication support
  * [Trivial] Fix Share Network details field
* Wed Aug 31 2016 cloud-devel@suse.de
- Update to version manila-ui-2.4.1.dev3:
  2.4.0
  * Fix tables layout
  * Use upper constraints in tox installs
  * Fix get_disabled_quotas
  * Remove incorrect docstrings
* Wed Aug 24 2016 cloud-devel@suse.de
- Update to version manila-ui-2.3.1.dev32:
  * Imported Translations from Zanata
* Tue Aug 23 2016 cloud-devel@suse.de
- Update to version manila-ui-2.3.1.dev31:
  * Disable creation of public share types per configuration
* Sat Aug 20 2016 cloud-devel@suse.de
- Update to version manila-ui-2.3.1.dev29:
  * Fix py27 and py27dj19 gates
  * Updated from global requirements
* Sun Aug 14 2016 cloud-devel@suse.de
- Update to version manila-ui-2.3.1.dev27:
  * Correct typo
* Sat Aug 13 2016 cloud-devel@suse.de
- Update to version manila-ui-2.3.1.dev25:
  * Updated from global requirements
  * Update Django 1.10 tox env
* Fri Aug 12 2016 cloud-devel@suse.de
- Update to version manila-ui-2.3.1.dev22:
  * Delete openstack/common from the exclude list of flake8 in tox
* Tue Aug  9 2016 cloud-devel@suse.de
- Update to version manila-ui-2.3.1.dev20:
  * Fix Django 1.9 unit tests
  * Remove unit tests warnings
* Wed Aug  3 2016 cloud-devel@suse.de
- Update to version manila-ui-2.3.1.dev17:
  * Imported Translations from Zanata
* Tue Aug  2 2016 cloud-devel@suse.de
- Update to version manila-ui-2.3.1.dev16:
  * Updated from global requirements
  * Table actions improvement
  * Remove Cinder leftovers from Create Snapshot View
  * Fix improperly rendered Create Snapshot modal form
  * Update Share Metadata modal form refactoring
  * Fix unit tests for Django 1.9
  * Register apps in unit tests properly
  * Fix unit tests
  * Updated from global requirements
  * Fix improperly rendered Edit Share modal form
  * Fix improperly rendered Update Security Service modal form
  2.3.0
* Wed Jul 13 2016 cloud-devel@suse.de
- Update to version manila-ui-2.2.1.dev35:
  * Fix Edit Snapshot action
  * Remove vim headers
  * Unit test for Create Share Type
  * Update Share Snapshot modal form refactoring
* Tue Jul 12 2016 cloud-devel@suse.de
- Update to version manila-ui-2.2.1.dev28:
  * Updated from global requirements
* Sun Jul  3 2016 cloud-devel@suse.de
- Update to version manila-ui-2.2.1.dev27:
  * Updated from global requirements
* Wed Jun 29 2016 cloud-devel@suse.de
- Update to version manila-ui-2.2.1.dev26:
  * Create Share Snapshot modal form refactoring
  * Imported Translations from Zanata
  * Extend Share and Add Rule modals refactoring
  * Clean Update Share Type modal form
  * Clean Shares modal forms
  * Clean Security Services modal forms
* Tue Jun 28 2016 cloud-devel@suse.de
- Update to version manila-ui-2.2.1.dev15:
  * Fix error handling for 'extend' share operation
  * Updated from global requirements
* Fri Jun 24 2016 cloud-devel@suse.de
- Update to version manila-ui-2.2.1.dev12:
  * Updated from global requirements
* Wed Jun 22 2016 cloud-devel@suse.de
- Update to version manila-ui-2.2.1.dev11:
  * Fix py27 tox job
  * Imported Translations from Zanata
* Thu Jun 16 2016 cloud-devel@suse.de
- Update to version manila-ui-2.2.1.dev8:
  * Clean Create Share Network modal form
  * Clean Create Share Type modal form
* Wed Jun 15 2016 cloud-devel@suse.de
- Update to version manila-ui-2.2.1.dev4:
  * Remove discover from test-requirements
* Sat Jun 11 2016 cloud-devel@suse.de
- Update to version manila-ui-2.2.1.dev3:
  * Add RDO install instructions for Manila UI
  * Updated from global requirements
  2.2.0
* Fri Jun  3 2016 cloud-devel@suse.de
- Update to version manila-ui-2.1.1.dev39:
  * Imported Translations from Zanata
  * Updated from global requirements
  * Create private share types
* Tue May 31 2016 cloud-devel@suse.de
- Update to version manila-ui-2.1.1.dev34:
  * Updated from global requirements
  * Add support for releasenotes
  * Imported Translations from Zanata
  * Cleanup of CreateShareType form
* Sat May 21 2016 cloud-devel@suse.de
- Update to version manila-ui-2.1.1.dev28:
  * Update HTML template for snapshot detailed page
  * Update HTML template for share network detailed page
  * Update HTML template for security service detailed page
  * Imported Translations from Zanata
  * Fix usages view on project/overview page
* Fri May 20 2016 cloud-devel@suse.de
- Update to version manila-ui-2.1.1.dev20:
  * Updated from global requirements
* Thu May 19 2016 cloud-devel@suse.de
- Update to version manila-ui-2.1.1.dev19:
  * Update detailed page for share servers
  * Fix mocks in unit tests
  * Remove redundant API calls from admin dashboard
  * Add share instances tab to admin dashboard
  * Updated from global requirements
* Wed May 18 2016 cloud-devel@suse.de
- Update to version manila-ui-2.1.1.dev13:
  * Add 'cephx' access type
* Fri May 13 2016 cloud-devel@suse.de
- Update to version manila-ui-2.1.1.dev12:
  * Enable translation for manila-ui
* Thu May 12 2016 cloud-devel@suse.de
- Update to version manila-ui-2.1.1.dev10:
  * Updated from global requirements
* Wed May 11 2016 cloud-devel@suse.de
- Update to version manila-ui-2.1.1.dev9:
  * Register Manilaclient exceptions in Horizon
* Mon May  9 2016 cloud-devel@suse.de
- Update to version manila-ui-2.1.1.dev8:
  * Updated from global requirements
  * Use latest Manila API microversion
  * Place all unit tests under single subdir
* Mon May  9 2016 cloud-devel@suse.de
- Update to version manila-ui-2.1.1.dev4:
  * Make 'cover' job use always venv
* Mon May  9 2016 cloud-devel@suse.de
- Update to version manila-ui-2.1.1.dev3:
  * Upgrade coverage tox job
* Thu Apr 21 2016 cloud-devel@suse.de
- Update to version manila-ui-2.1.1.dev1:
  2.1.0
  * Updated from global requirements
* Wed Apr 13 2016 tbechtold@suse.com
- Fix _service
* Tue Mar 15 2016 cloud-devel@suse.de
- Update to version manila-ui-2.0.1.dev1:
  2.0.0
  * Updated from global requirements
* Thu Mar  3 2016 cloud-devel@suse.de
- Update to version manila-ui-1.2.1.dev23:
  * Updated from global requirements
  * Fix compatibility with Manilaclient and Horizon
  * remove python 3.3 trove classifier
  * remove python 2.6 trove classifier
* Fri Dec 25 2015 cloud-devel@suse.de
- Update to version manila-ui-1.2.1.dev17:
  * Drop MANIFEST.in - it's not needed with PBR
  * Remove "builtins = _" from tox.ini
  * Can not create a LDAP security-service with no auth
  * Updated from global requirements
* Fri Dec 11 2015 cloud-devel@suse.de
- Update to version manila-ui-1.2.1.dev10:
  * Remove import of unnecessary modules from Horizon
  * Fix call to Client() with 2 api_version args
* Sat Nov 21 2015 cloud-devel@suse.de
- Update to version manila-ui-1.2.1.dev7:
  * Remove unused Manila API methods
  * Updated from global requirements
  * Use "GiB" and "gibibyte" labels in share panels
* Thu Nov  5 2015 cloud-devel@suse.de
- Update to version manila-ui-1.2.1.dev2:
  * Updated from global requirements
* Fri Oct 23 2015 cloud-devel@suse.de
- Update to version manila-ui-1.2.1.dev1:
  1.2.0
  * Updated from global requirements
* Thu Oct 22 2015 cloud-devel@suse.de
- Update to version manila-ui-1.1.1.dev15:
  * Updated from global requirements
* Tue Sep 22 2015 tbechtold@suse.com
- Update to version manila-ui-1.1.1.dev13:
  * Change ignore-errors to ignore_errors
  * Use v2 API of Manila
  * Updated requirements and unit tests config
  * Disable button 'create snapshot' if share not snapshottable
  * Fix broken unit test
  * Add availability zones support to manila-ui
- Adjust Requires according to requirements.txt
* Sat Aug 29 2015 cloud-devel@suse.de
- Update to version manila-ui-1.1.1.dev6:
  * Fix set/unset extra specs for share type update form
  * Remove overrides reference from Manila-UI plug-in
* Sat Aug 15 2015 cloud-devel@suse.de
- Update to version manila-ui-1.1.1.dev3:
  * Add extend support to manila-ui
* Sat Aug  1 2015 cloud-devel@suse.de
- Update to version manila-ui-1.1.1.dev2:
  * Fix breakage of unit tests
* Fri Jul 10 2015 cloud-devel@suse.de
- Update to version manila-ui-1.1.1.dev1:
  * Switch to post-versioning
  1.1.0
* Thu Jul  9 2015 cloud-devel@suse.de
- Update to version manila-ui-1.1.0.dev74:
  * Fix broken unit tests
* Fri Jun 19 2015 cloud-devel@suse.de
- Update to version manila-ui-1.1.0.dev73:
  * Add mock manilaclient to APITestCase class
* Thu Jun 18 2015 cloud-devel@suse.de
- Update to version manila-ui-1.1.0.dev71:
  * Remove usage of openstack.common._i18n module
  * Use UPDATE_HORIZON_CONFIG for manila_ui.overrides
* Tue Jun 16 2015 tbechtold@suse.com
- Enable plugin when installed
* Tue Jun 16 2015 tbechtold@suse.com
- Run Django's collectstatic command after installation/removal
* Wed Jun 10 2015 rsalevsky@suse.com
- initial package creation
